Bug 234716 - New termcap entries for TI Silent 703/707 termincals
Summary: New termcap entries for TI Silent 703/707 termincals
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: 12.0-STABLE
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Johnston
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-01-07 22:22 UTC by Robert Clausecker
Modified: 2019-01-15 02:10 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Clausecker 2019-01-07 22:22:48 UTC
I found that termcap entries for Texas Instruments Silent 703/707 terminals were missing, so I decided to write some.  Please add them to the termcap database.  I have tested these entries with my trusty ti703 and they seem to work just fine.

Yours,
Robert Clausecker

# From: Robert Clausecker <fuz@fuz.su>
# Date: Mon, 7 Jan 2019 23:06:00 CET
#
# Terminal entries for the Texas Instruments 703/707
# hardcopy terminals.
#
# The terminal can switch between 80 and 132 column mode
# using \EPC\\ and \EPD\\, but I don't think there is a
# capability for that.
ti703|ti707|Texas Instruments Silent 703/707:\
	:am:hc:os:xn:\
	:co#80:it#8:\
	:do=\n:le=\b:cr=\r:nd= :bl=^G:ta=\t:is=\EPC\\:
ti703-w|ti707-w|Texas Instruments Silent 703/707:\
	:co#132:is=\EPD\\:tc=ti703:
Comment 1 Mark Johnston freebsd_committer 2019-01-08 03:46:56 UTC
cap_mkdb spits out a warning with this change:

cap_mkdb -l -f termcap /home/mark/media/src/freebsd-svn/head/share/termcap/termcap                                                                           
cap_mkdb: ignored duplicate: Texas Instruments Silent 703/707
Comment 2 Robert Clausecker 2019-01-08 10:12:03 UTC
I'm sorry, please change the definitions like this:

ti703|ti707|Texas Instruments Silent 703/707, 80 cols:\
	:am:hc:os:xn:\
	:co#80:it#8:\
	:do=\n:le=\b:cr=\r:nd= :bl=^G:ta=\t:is=\EPC\\:
ti703-w|ti707-w|Texas Instruments Silent 703/707, 132 cols:\
	:co#132:is=\EPD\\:tc=ti703:

I forgot that the long description needs to be unique, too.
Comment 3 commit-hook freebsd_committer 2019-01-08 17:08:47 UTC
A commit references this bug:

Author: markj
Date: Tue Jan  8 17:08:10 UTC 2019
New revision: 342863
URL: https://svnweb.freebsd.org/changeset/base/342863

Log:
  Add termcap entries for TI Silent 703/707 terminals.

  PR:		234716
  Submitted by:	Robert Clausecker <fuz@fuz.su>
  MFC after:	1 week

Changes:
  head/share/termcap/termcap
Comment 4 Mark Johnston freebsd_committer 2019-01-08 17:09:04 UTC
Committed, thanks.
Comment 5 commit-hook freebsd_committer 2019-01-15 02:09:59 UTC
A commit references this bug:

Author: markj
Date: Tue Jan 15 02:09:32 UTC 2019
New revision: 343034
URL: https://svnweb.freebsd.org/changeset/base/343034

Log:
  MFC r342863:
  Add termcap entries for TI Silent 703/707 terminals.

  PR:	234716

Changes:
_U  stable/12/
  stable/12/share/termcap/termcap